# TarArchive Class Reference
[Various accompanying utilities]

GNU Tar wrapper. More...

Inheritance diagram for TarArchive:
[legend]

List of all members.

## Public Member Functions

| __construct ($cmdBinPath= '/bin/tar')
| readFile ($fileName)

## Detailed Description

GNU Tar wrapper.

See also:
  http://www.gnu.org/software/tar/

Definition at line 19 of file TarArchive.class.php.

## Constructor & Destructor Documentation

TarArchive::__construct | ( | $ | cmdBinPath = `'/bin/tar'` | ) |

Reimplemented from FileArchive.

Definition at line 21 of file TarArchive.class.php.

References FileArchive::$cmdBinPath.

## Member Function Documentation

TarArchive::readFile | ( | $ | fileName | ) |

Reimplemented from FileArchive.

Definition at line 32 of file TarArchive.class.php.

References FileArchive::execStdoutOptions().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Utils/Archivers/TarArchive.class.php